*** ./webalizer.c.osr6	Sun Feb 12 12:00:57 2006
--- ./webalizer.c	Sun Feb 12 12:01:34 2006
***************
*** 172,201 ****
          cur_day=0, cur_hour=0,                /* tracking variables       */
          cur_min=0, cur_sec=0;
  
! u_long  cur_tstamp=0;                         /* Timestamp...             */
! u_long  rec_tstamp=0;  
! u_long  req_tstamp=0;
! u_long  epoch;                                /* used for timestamp adj.  */
  
  int     check_dup=0;                          /* check for dup flag       */
  int     gz_log=0;                             /* gziped log? (0=no)       */
  
  double  t_xfer=0.0;                           /* monthly total xfer value */
! u_long  t_hit=0,t_file=0,t_site=0,            /* monthly total vars       */
          t_url=0,t_ref=0,t_agent=0,
          t_page=0, t_visit=0, t_user=0;
  
  double  tm_xfer[31];                          /* daily transfer totals    */
  
! u_long  tm_hit[31], tm_file[31],              /* daily total arrays       */
          tm_site[31], tm_page[31],
          tm_visit[31];
  
! u_long  dt_site;                              /* daily 'sites' total      */
  
! u_long  ht_hit=0, mh_hit=0;                   /* hourly hits totals       */
  
! u_long  th_hit[24], th_file[24],              /* hourly total arrays      */
          th_page[24];
  
  double  th_xfer[24];
--- 172,201 ----
          cur_day=0, cur_hour=0,                /* tracking variables       */
          cur_min=0, cur_sec=0;
  
! u_int64_t  cur_tstamp=0;                         /* Timestamp...             */
! u_int64_t  rec_tstamp=0;  
! u_int64_t  req_tstamp=0;
! u_int64_t  epoch;                                /* used for timestamp adj.  */
  
  int     check_dup=0;                          /* check for dup flag       */
  int     gz_log=0;                             /* gziped log? (0=no)       */
  
  double  t_xfer=0.0;                           /* monthly total xfer value */
! u_int64_t  t_hit=0,t_file=0,t_site=0,            /* monthly total vars       */
          t_url=0,t_ref=0,t_agent=0,
          t_page=0, t_visit=0, t_user=0;
  
  double  tm_xfer[31];                          /* daily transfer totals    */
  
! u_int64_t  tm_hit[31], tm_file[31],              /* daily total arrays       */
          tm_site[31], tm_page[31],
          tm_visit[31];
  
! u_int64_t  dt_site;                              /* daily 'sites' total      */
  
! u_int64_t  ht_hit=0, mh_hit=0;                   /* hourly hits totals       */
  
! u_int64_t  th_hit[24], th_file[24],              /* hourly total arrays      */
          th_page[24];
  
  double  th_xfer[24];
***************
*** 204,210 ****
  
  struct  utsname system_info;                  /* system info structure    */
  
! u_long  ul_bogus =0;                          /* Dummy counter for groups */
  
  struct  log_struct log_rec;                   /* expanded log storage     */
  
--- 204,210 ----
  
  struct  utsname system_info;                  /* system info structure    */
  
! u_int64_t  ul_bogus =0;                          /* Dummy counter for groups */
  
  struct  log_struct log_rec;                   /* expanded log storage     */
  
***************
*** 258,266 ****
     int    rec_year,rec_month=1,rec_day,rec_hour,rec_min,rec_sec;
  
     int    good_rec    =0;                /* 1 if we had a good record   */
!    u_long total_rec   =0;                /* Total Records Processed     */
!    u_long total_ignore=0;                /* Total Records Ignored       */
!    u_long total_bad   =0;                /* Total Bad Records           */
  
     int    max_ctry;                      /* max countries defined       */
  
--- 258,266 ----
     int    rec_year,rec_month=1,rec_day,rec_hour,rec_min,rec_sec;
  
     int    good_rec    =0;                /* 1 if we had a good record   */
!    u_int64_t total_rec   =0;                /* Total Records Processed     */
!    u_int64_t total_ignore=0;                /* Total Records Ignored       */
!    u_int64_t total_bad   =0;                /* Total Bad Records           */
  
     int    max_ctry;                      /* max countries defined       */
  
***************
*** 607,613 ****
              total_bad++;                /* if a bad date, bump counter      */
              if (verbose)
              {
!                fprintf(stderr,"%s: %s [%lu]",
                   msg_bad_date,log_rec.datetime,total_rec);
                 if (debug_mode) fprintf(stderr,":\n%s\n",tmp_buf);
                 else fprintf(stderr,"\n");
--- 607,613 ----
              total_bad++;                /* if a bad date, bump counter      */
              if (verbose)
              {
!                fprintf(stderr,"%s: %s [%lld]",
                   msg_bad_date,log_rec.datetime,total_rec);
                 if (debug_mode) fprintf(stderr,":\n%s\n",tmp_buf);
                 else fprintf(stderr,"\n");
***************
*** 907,913 ****
           /* if necessary, shrink referrer to fit storage */
           if (strlen(log_rec.refer)>=MAXREFH)
           {
!             if (verbose) fprintf(stderr,"%s [%lu]\n",
                  msg_big_ref,total_rec);
              log_rec.refer[MAXREFH-1]='\0';
           }
--- 907,913 ----
           /* if necessary, shrink referrer to fit storage */
           if (strlen(log_rec.refer)>=MAXREFH)
           {
!             if (verbose) fprintf(stderr,"%s [%lld]\n",
                  msg_big_ref,total_rec);
              log_rec.refer[MAXREFH-1]='\0';
           }
***************
*** 915,921 ****
           /* if necessary, shrink URL to fit storage */
           if (strlen(log_rec.url)>=MAXURLH)
           {
!             if (verbose) fprintf(stderr,"%s [%lu]\n",
                  msg_big_req,total_rec);
              log_rec.url[MAXURLH-1]='\0';
           }
--- 915,921 ----
           /* if necessary, shrink URL to fit storage */
           if (strlen(log_rec.url)>=MAXURLH)
           {
!             if (verbose) fprintf(stderr,"%s [%lld]\n",
                  msg_big_req,total_rec);
              log_rec.url[MAXURLH-1]='\0';
           }
***************
*** 1147,1154 ****
               (log_rec.resp_code==RC_PARTIALCONTENT))
           {
              /* URL hash table */
!             if (put_unode(log_rec.url,OBJ_REG,(u_long)1,
!                 log_rec.xfer_size,&t_url,(u_long)0,(u_long)0,um_htab))
              {
                 if (verbose)
                 /* Error adding URL node, skipping ... */
--- 1147,1154 ----
               (log_rec.resp_code==RC_PARTIALCONTENT))
           {
              /* URL hash table */
!             if (put_unode(log_rec.url,OBJ_REG,(u_int64_t)1,
!                 log_rec.xfer_size,&t_url,(u_int64_t)0,(u_int64_t)0,um_htab))
              {
                 if (verbose)
                 /* Error adding URL node, skipping ... */
***************
*** 1157,1163 ****
  
              /* ident (username) hash table */
              if (put_inode(log_rec.ident,OBJ_REG,
!                 1,(u_long)i,log_rec.xfer_size,&t_user,
                  0,rec_tstamp,im_htab))
              {
                 if (verbose)
--- 1157,1163 ----
  
              /* ident (username) hash table */
              if (put_inode(log_rec.ident,OBJ_REG,
!                 1,(u_int64_t)i,log_rec.xfer_size,&t_user,
                  0,rec_tstamp,im_htab))
              {
                 if (verbose)
***************
*** 1170,1176 ****
           if (ntop_refs)
           {
              if (log_rec.refer[0]!='\0')
!              if (put_rnode(log_rec.refer,OBJ_REG,(u_long)1,&t_ref,rm_htab))
               {
                if (verbose)
                fprintf(stderr,"%s %s\n", msg_nomem_r, log_rec.refer);
--- 1170,1176 ----
           if (ntop_refs)
           {
              if (log_rec.refer[0]!='\0')
!              if (put_rnode(log_rec.refer,OBJ_REG,(u_int64_t)1,&t_ref,rm_htab))
               {
                if (verbose)
                fprintf(stderr,"%s %s\n", msg_nomem_r, log_rec.refer);
***************
*** 1179,1185 ****
  
           /* hostname (site) hash table - daily */
           if (put_hnode(log_rec.hostname,OBJ_REG,
!              1,(u_long)i,log_rec.xfer_size,&dt_site,
               0,rec_tstamp,"",sd_htab))
           {
              if (verbose)
--- 1179,1185 ----
  
           /* hostname (site) hash table - daily */
           if (put_hnode(log_rec.hostname,OBJ_REG,
!              1,(u_int64_t)i,log_rec.xfer_size,&dt_site,
               0,rec_tstamp,"",sd_htab))
           {
              if (verbose)
***************
*** 1189,1195 ****
  
           /* hostname (site) hash table - monthly */
           if (put_hnode(log_rec.hostname,OBJ_REG,
!              1,(u_long)i,log_rec.xfer_size,&t_site,
               0,rec_tstamp,"",sm_htab))
           {
              if (verbose)
--- 1189,1195 ----
  
           /* hostname (site) hash table - monthly */
           if (put_hnode(log_rec.hostname,OBJ_REG,
!              1,(u_int64_t)i,log_rec.xfer_size,&t_site,
               0,rec_tstamp,"",sm_htab))
           {
              if (verbose)
***************
*** 1201,1207 ****
           if (ntop_agents)
           {
              if (log_rec.agent[0]!='\0')
!              if (put_anode(log_rec.agent,OBJ_REG,(u_long)1,&t_agent,am_htab))
               {
                if (verbose)
                fprintf(stderr,"%s %s\n", msg_nomem_a, log_rec.agent);
--- 1201,1207 ----
           if (ntop_agents)
           {
              if (log_rec.agent[0]!='\0')
!              if (put_anode(log_rec.agent,OBJ_REG,(u_int64_t)1,&t_agent,am_htab))
               {
                if (verbose)
                fprintf(stderr,"%s %s\n", msg_nomem_a, log_rec.agent);
***************
*** 1242,1249 ****
           /* URL Grouping */
           if ( (cp1=isinglist(group_urls,log_rec.url))!=NULL)
           {
!             if (put_unode(cp1,OBJ_GRP,(u_long)1,log_rec.xfer_size,
!                 &ul_bogus,(u_long)0,(u_long)0,um_htab))
              {
                 if (verbose)
                 /* Error adding URL node, skipping ... */
--- 1242,1249 ----
           /* URL Grouping */
           if ( (cp1=isinglist(group_urls,log_rec.url))!=NULL)
           {
!             if (put_unode(cp1,OBJ_GRP,(u_int64_t)1,log_rec.xfer_size,
!                 &ul_bogus,(u_int64_t)0,(u_int64_t)0,um_htab))
              {
                 if (verbose)
                 /* Error adding URL node, skipping ... */
***************
*** 1254,1260 ****
           /* Site Grouping */
           if ( (cp1=isinglist(group_sites,log_rec.hostname))!=NULL)
           {
!             if (put_hnode(cp1,OBJ_GRP,1,(u_long)(log_rec.resp_code==RC_OK)?1:0,
                            log_rec.xfer_size,&ul_bogus,
                            0,rec_tstamp,"",sm_htab))
              {
--- 1254,1260 ----
           /* Site Grouping */
           if ( (cp1=isinglist(group_sites,log_rec.hostname))!=NULL)
           {
!             if (put_hnode(cp1,OBJ_GRP,1,(u_int64_t)(log_rec.resp_code==RC_OK)?1:0,
                            log_rec.xfer_size,&ul_bogus,
                            0,rec_tstamp,"",sm_htab))
              {
***************
*** 1272,1278 ****
                 if (cp1 != NULL)
                 {
                    if (put_hnode(cp1,OBJ_GRP,1,
!                       (u_long)(log_rec.resp_code==RC_OK)?1:0,
                        log_rec.xfer_size,&ul_bogus,
                        0,rec_tstamp,"",sm_htab))
                    {
--- 1272,1278 ----
                 if (cp1 != NULL)
                 {
                    if (put_hnode(cp1,OBJ_GRP,1,
!                       (u_int64_t)(log_rec.resp_code==RC_OK)?1:0,
                        log_rec.xfer_size,&ul_bogus,
                        0,rec_tstamp,"",sm_htab))
                    {
***************
*** 1287,1293 ****
           /* Referrer Grouping */
           if ( (cp1=isinglist(group_refs,log_rec.refer))!=NULL)
           {
!             if (put_rnode(cp1,OBJ_GRP,(u_long)1,&ul_bogus,rm_htab))
              {
                 if (verbose)
                 /* Error adding Referrer node, skipping ... */
--- 1287,1293 ----
           /* Referrer Grouping */
           if ( (cp1=isinglist(group_refs,log_rec.refer))!=NULL)
           {
!             if (put_rnode(cp1,OBJ_GRP,(u_int64_t)1,&ul_bogus,rm_htab))
              {
                 if (verbose)
                 /* Error adding Referrer node, skipping ... */
***************
*** 1298,1304 ****
           /* User Agent Grouping */
           if ( (cp1=isinglist(group_agents,log_rec.agent))!=NULL)
           {
!             if (put_anode(cp1,OBJ_GRP,(u_long)1,&ul_bogus,am_htab))
              {
                 if (verbose)
                 /* Error adding User Agent node, skipping ... */
--- 1298,1304 ----
           /* User Agent Grouping */
           if ( (cp1=isinglist(group_agents,log_rec.agent))!=NULL)
           {
!             if (put_anode(cp1,OBJ_GRP,(u_int64_t)1,&ul_bogus,am_htab))
              {
                 if (verbose)
                 /* Error adding User Agent node, skipping ... */
***************
*** 1309,1315 ****
           /* Ident (username) Grouping */
           if ( (cp1=isinglist(group_users,log_rec.ident))!=NULL)
           {
!             if (put_inode(cp1,OBJ_GRP,1,(u_long)(log_rec.resp_code==RC_OK)?1:0,
                            log_rec.xfer_size,&ul_bogus,
                            0,rec_tstamp,im_htab))
              {
--- 1309,1315 ----
           /* Ident (username) Grouping */
           if ( (cp1=isinglist(group_users,log_rec.ident))!=NULL)
           {
!             if (put_inode(cp1,OBJ_GRP,1,(u_int64_t)(log_rec.resp_code==RC_OK)?1:0,
                            log_rec.xfer_size,&ul_bogus,
                            0,rec_tstamp,im_htab))
              {
***************
*** 1340,1346 ****
              total_bad++;
              if (verbose)
              {
!                fprintf(stderr,"%s (%lu)",msg_bad_rec,total_rec);
                 if (debug_mode) fprintf(stderr,":\n%s\n",tmp_buf);
                 else fprintf(stderr,"\n");
              }
--- 1340,1346 ----
              total_bad++;
              if (verbose)
              {
!                fprintf(stderr,"%s (%lld)",msg_bad_rec,total_rec);
                 if (debug_mode) fprintf(stderr,":\n%s\n",tmp_buf);
                 else fprintf(stderr,"\n");
              }
***************
*** 1383,1396 ****
        end_time = times(&mytms);              /* display timing totals?   */
        if (time_me || (verbose>1))
        {
!          printf("%lu %s ",total_rec, msg_records);
           if (total_ignore)
           {
!             printf("(%lu %s",total_ignore,msg_ignored);
!             if (total_bad) printf(", %lu %s) ",total_bad,msg_bad);
                 else        printf(") ");
           }
!          else if (total_bad) printf("(%lu %s) ",total_bad,msg_bad);
  
           /* get processing time (end-start) */
           temp_time = (float)(end_time-start_time)/CLK_TCK;
--- 1383,1396 ----
        end_time = times(&mytms);              /* display timing totals?   */
        if (time_me || (verbose>1))
        {
!          printf("%lld %s ",total_rec, msg_records);
           if (total_ignore)
           {
!             printf("(%lld %s",total_ignore,msg_ignored);
!             if (total_bad) printf(", %lld %s) ",total_bad,msg_bad);
                 else        printf(") ");
           }
!          else if (total_bad) printf("(%lld %s) ",total_bad,msg_bad);
  
           /* get processing time (end-start) */
           temp_time = (float)(end_time-start_time)/CLK_TCK;
***************
*** 1807,1816 ****
  /* CTRY_IDX - create unique # from domain    */
  /*********************************************/
  
! u_long ctry_idx(char *str)
  {
     int i=strlen(str),j=0;
!    u_long idx=0;
     char *cp1=str+i;
     for (;i>0;i--) { idx+=((*--cp1-'a'+1)<<j); j+=5; }
     return idx;
--- 1807,1816 ----
  /* CTRY_IDX - create unique # from domain    */
  /*********************************************/
  
! u_int64_t ctry_idx(char *str)
  {
     int i=strlen(str),j=0;
!    u_int64_t idx=0;
     char *cp1=str+i;
     for (;i>0;i--) { idx+=((*--cp1-'a'+1)<<j); j+=5; }
     return idx;
***************
*** 1909,1915 ****
     cp1=cp2;
     while (*cp1!=0) { if ((*cp1<32)||(*cp1==127)) *cp1='_'; cp1++; }
  
!    if (put_snode(cp2,(u_long)1,sr_htab))
     {
        if (verbose)
        /* Error adding search string node, skipping .... */
--- 1909,1915 ----
     cp1=cp2;
     while (*cp1!=0) { if ((*cp1<32)||(*cp1==127)) *cp1='_'; cp1++; }
  
!    if (put_snode(cp2,(u_int64_t)1,sr_htab))
     {
        if (verbose)
        /* Error adding search string node, skipping .... */
***************
*** 1989,2002 ****
  /*                                                               */
  /*****************************************************************/
  
! u_long jdate( int day, int month, int year )
  {
!    u_long days;                      /* value returned */
     int mtable[] = {0,31,59,90,120,151,181,212,243,273,304,334};
  
     /* First, calculate base number including leap and Centenial year stuff */
  
!    days=(((u_long)year*365)+day+mtable[month-1]+
             ((year+4)/4) - ((year/100)-(year/400)));
  
     /* now adjust for leap year before March 1st */
--- 1989,2002 ----
  /*                                                               */
  /*****************************************************************/
  
! u_int64_t jdate( int day, int month, int year )
  {
!    u_int64_t days;                      /* value returned */
     int mtable[] = {0,31,59,90,120,151,181,212,243,273,304,334};
  
     /* First, calculate base number including leap and Centenial year stuff */
  
!    days=(((u_int64_t)year*365)+day+mtable[month-1]+
             ((year+4)/4) - ((year/100)-(year/400)));
  
     /* now adjust for leap year before March 1st */
*** ./webalizer.h.osr6	Sun Feb 12 12:01:24 2006
--- ./webalizer.h	Sun Feb 12 12:05:27 2006
***************
*** 125,148 ****
  #endif  /* INADDR_NONE */
  #endif
  
  /* Response code structure */
  struct response_code {     char    *desc;         /* response code struct  */
!                          u_long    count; };
  
  /* Response URL structure */
  struct response_url { char respurl[MAXURL];       /* resp url struct       */
! 			u_long    count; };
  struct response_url * respnotfound;
  struct responsetmp_url { char respurl[MAXURL];    /* temp resp url struct  */
! 			u_long    count; };
  struct responsetmp_url * respnotfoundtmp;
! u_long resp_counter;                              /* total 404 counter     */
  
  /* Country code structure */
! struct	country_code { u_long idx;
                           char *desc;
!                        u_long count;
!                        u_long files;
                         double  xfer; };
  
  typedef struct country_code *CLISTPTR;
--- 125,150 ----
  #endif  /* INADDR_NONE */
  #endif
  
+ #include <sys/bitypes.h>
+ 
  /* Response code structure */
  struct response_code {     char    *desc;         /* response code struct  */
!                          u_int64_t    count; };
  
  /* Response URL structure */
  struct response_url { char respurl[MAXURL];       /* resp url struct       */
! 			u_int64_t    count; };
  struct response_url * respnotfound;
  struct responsetmp_url { char respurl[MAXURL];    /* temp resp url struct  */
! 			u_int64_t    count; };
  struct responsetmp_url * respnotfoundtmp;
! u_int64_t resp_counter;                              /* total 404 counter     */
  
  /* Country code structure */
! struct	country_code { u_int64_t idx;
                           char *desc;
!                        u_int64_t count;
!                        u_int64_t files;
                         double  xfer; };
  
  typedef struct country_code *CLISTPTR;
***************
*** 152,158 ****
                         char   datetime[29];        /* raw timestamp        */
                         char   url[MAXURL];         /* raw request field    */
                         int    resp_code;           /* response code        */
!                        u_long xfer_size;           /* xfer size in bytes   */
  #ifdef USE_DNS
                         struct in_addr addr;        /* IP address structure */
  #endif  /* USE_DNS */
--- 154,160 ----
                         char   datetime[29];        /* raw timestamp        */
                         char   url[MAXURL];         /* raw request field    */
                         int    resp_code;           /* response code        */
!                        u_int64_t xfer_size;           /* xfer size in bytes   */
  #ifdef USE_DNS
                         struct in_addr addr;        /* IP address structure */
  #endif  /* USE_DNS */
***************
*** 231,238 ****
  extern int     dump_header  ;                 /* Dump header as first rec */
  extern char    *dump_path   ;                 /* Path for dump files      */
  
! extern u_long  cur_tstamp;                    /* Current timestamp        */
! extern u_long  epoch;                         /* used for timestamp adj.  */
  extern int     check_dup;                     /* check for dups flag      */
  
  extern int     cur_year,cur_month,            /* year/month/day/hour      */
--- 233,240 ----
  extern int     dump_header  ;                 /* Dump header as first rec */
  extern char    *dump_path   ;                 /* Path for dump files      */
  
! extern u_int64_t  cur_tstamp;                    /* Current timestamp        */
! extern u_int64_t  epoch;                         /* used for timestamp adj.  */
  extern int     check_dup;                     /* check for dups flag      */
  
  extern int     cur_year,cur_month,            /* year/month/day/hour      */
***************
*** 240,260 ****
                 cur_min, cur_sec;
  
  extern double  t_xfer;                        /* monthly total xfer value */
! extern u_long  t_hit, t_file, t_site,         /* monthly total vars       */
                 t_url, t_ref,  t_agent,
                 t_page,t_visit,t_user;
  
  extern double  tm_xfer[31];                   /* daily transfer totals    */
  
! extern u_long  tm_hit[31], tm_file[31],       /* daily total arrays       */
                 tm_site[31],tm_page[31],
                 tm_visit[31];
  
! extern u_long  dt_site;                       /* daily 'sites' total      */
  
! extern u_long  ht_hit,mh_hit;                 /* hourly hits totals       */
  
! extern u_long  th_hit[24], th_file[24],       /* hourly total arrays      */
                 th_page[24];
  
  extern double  th_xfer[24];
--- 242,262 ----
                 cur_min, cur_sec;
  
  extern double  t_xfer;                        /* monthly total xfer value */
! extern u_int64_t  t_hit, t_file, t_site,         /* monthly total vars       */
                 t_url, t_ref,  t_agent,
                 t_page,t_visit,t_user;
  
  extern double  tm_xfer[31];                   /* daily transfer totals    */
  
! extern u_int64_t  tm_hit[31], tm_file[31],       /* daily total arrays       */
                 tm_site[31],tm_page[31],
                 tm_visit[31];
  
! extern u_int64_t  dt_site;                       /* daily 'sites' total      */
  
! extern u_int64_t  ht_hit,mh_hit;                 /* hourly hits totals       */
  
! extern u_int64_t  th_hit[24], th_file[24],       /* hourly total arrays      */
                 th_page[24];
  
  extern double  th_xfer[24];
***************
*** 267,275 ****
  /* define our externally visable functions */
  
  extern char   *cur_time();
! extern u_long ctry_idx(char *);
  extern void   init_counters();
  extern int    ispage(char *);
! extern u_long jdate(int,int,int);
  
  #endif  /* _WEBALIZER_H */
--- 269,277 ----
  /* define our externally visable functions */
  
  extern char   *cur_time();
! extern u_int64_t ctry_idx(char *);
  extern void   init_counters();
  extern int    ispage(char *);
! extern u_int64_t jdate(int,int,int);
  
  #endif  /* _WEBALIZER_H */
*** ./dns_resolv.c.osr6	Sat Feb 11 07:02:58 2006
--- ./dns_resolv.c	Sun Feb 12 12:01:34 2006
***************
*** 178,184 ****
     int       i;
     int       save_verbose=verbose;
  
!    u_long    listEntries = 0;
  
     struct sigaction sigPipeAction;
     struct stat dbStat;
--- 178,184 ----
     int       i;
     int       save_verbose=verbose;
  
!    u_int64_t    listEntries = 0;
  
     struct sigaction sigPipeAction;
     struct stat dbStat;
***************
*** 339,345 ****
     if (time_me || (verbose>1))
     {
        if (verbose<2 && time_me) printf("DNS: ");
!       printf("%lu %s ",listEntries, msg_addresses);
  
        /* get processing time (end-start) */
        temp_time = (float)(end_time-start_time)/CLK_TCK;
--- 339,345 ----
     if (time_me || (verbose>1))
     {
        if (verbose<2 && time_me) printf("DNS: ");
!       printf("%lld %s ",listEntries, msg_addresses);
  
        /* get processing time (end-start) */
        temp_time = (float)(end_time-start_time)/CLK_TCK;
